package de.pdw_express.parser.sged;

import java.io.IOException;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;

import org.apache.log4j.BasicConfigurator;

import de.ipk.pdwexpress.tableObjects.EditingSession;
import de.ipk.pdwexpress.upload.AbstractPEObject;
import de.ipk.pdwexpress.upload.ImportHandler;


public class Start {
	

	public static void main(String[] args) {
		
		//BasicConfigurator.configure();
		System.out.println("start");
		try{
			Class.forName("oracle.jdbc.driver.OracleDriver");
			Connection con = DriverManager.getConnection("jdbc:oracle:thin:@pgrc-31.ipk-gatersleben.de:1521:pdw","pdw_express_stage","");
			System.out.println("connection established: "+con.toString());
			
				ImportHandler importHandler;
				Import im;
				Import_87 im87;
					
				try{
					
					/*
					importHandler = new ImportHandler(con,new EditingSession("SGED_49"));
					AbstractPEObject.setImportHandler(importHandler);
					im = new Import(importHandler, con);
		
					im = new Import(importHandler, con);
					im.setDataFileName("D:/Import/SGED/49/049_summary.txt");
					im.setExperimentFileName("D:/Import/SGED/parser/SGED_49_Experiment.txt");
					im.setMaterialFileName("D:/Import/SGED/parser/SGED_49_Materials.txt");
					im.insertExperiment("SGED_49");
					im.insertData(im.insertMaterials());
					
					
					importHandler.closeSession();
					*/
					
					importHandler = new ImportHandler(con, new EditingSession("SGED_87"));
					AbstractPEObject.setImportHandler(importHandler);
					String dataFile ="D:/Import/SGED/87/087_summary.txt";
					String experimentFile = "D:/Import/SGED/parser/SGED_87_Experiment.txt";
					String matFile="D:/Import/SGED/parser/SGED_87_material.TXT";
					String hybFile ="D:/Import/SGED/parser/SGED_87_hybridisation.TXT";
					
					im87= new Import_87(importHandler, con, dataFile, experimentFile, matFile, hybFile);
					im87.insertExperiment("SGED_87");
					
				
					im87.insertData(im87.insertMaterials(),im87.insertHybridisations());
					
					importHandler.closeSession();
					
				}catch(SQLException e){System.out.println("SQLException 2 "+e);}
				catch(IOException e){System.out.println("IOException "+e);}
				finally{
					con.close();
				}
		}
		catch(SQLException e){System.out.println("SQLException 1 "+e);}
		catch(ClassNotFoundException e){System.out.println("ClassNotFoundException "+e);}
		catch(NoSuchMethodException e){System.out.println("NoSuchMethodException "+e);}
		
	}

}
